CPU,TPOOL_NTHREADS=4

openr,3,'geocat_hdf.fil'
nfiles=0l
readf,3,nfiles
print,'nfiles ',nfiles


for t1=0,nfiles-1 do begin
  datfile=' '
  readf,3,datfile
datdir='../'
print,'datfile ',datfile

file01=datdir+datfile
;
print,' READING GEOCAT FILE = ', file01

;
; READING GEOCAT FILE
;
pathl2=datdir(0)
l2_struct=[['pixel_latitude','plat'], $
           ['pixel_longitude','plong'], $
           ['imager_prof_retr_abi_TPW','TPW'], $
           ['baseline_cmask_abi_cloud_mask','MASK01'], $
           ['imager_prof_retr_abi_LI','LI'], $
           ['baseline_cld_hght_seviri_cloud_top_pressure','CTP'], $
           ['ozone_o3_col','TCO'], $
           ['imager_prof_retr_abi_CAPE','CAPE']]
;
start=[0,0]
count=[9999,9999]
olddate='0101001'
istart=0l
file=datfile
result=str_sep(file,'.')
;
status = hdf_sds_reader(file, $
         l1, $
         path = pathl2, $
         scale_fct = 'unscale_cat', $
         hdf_struct = l2_struct, $
         attr=l2_attr, $
         start=start, $
         count=count)
;
help, l1, /structure
idim=size(l1.plat)
nr=idim(2)
nc=idim(1)
lat=l1.plat
lon=l1.plong
tpw01=l1.TPW
mask01=l1.MASK01
tco01=l1.TCO
cape01=l1.CAPE
li01=l1.LI
ctp01=l1.CTP


index_cloud=where(ctp01 ge 0.)
tco01(index_cloud)=-999.
help,lat,lon,tpw01,mask01,tco01,cape01,li01,ctp01
stop

endfor ; nfile loop
close,3
end
